backend:
  name: github
  repo: westack-it/westack-it-de
  branch: main
  site_domain: https://westack-it.eu
  base_url: https://westack-it.eu
  auth_endpoint: /api/auth

media_folder: public/assets/images
public_folder: /assets

i18n:
  structure: multiple_folders
  locales: [de, en]
  default_locale: de

collections:
  - label: Products
    name: products
    folder: src/content/products
    create: true
    i18n: true
    slug: "{{slug}}"
    fields:
      - label: Title
        name: title
        widget: string
        required: true
      - label: Description
        name: description
        widget: string
      - label: Icon
        name: icon
        widget: image
      - label: IconPNG
        name: iconPNG
        widget: image
        required: false
      - label: Tags
        name: tags
        widget: list
        required: false
        fields:
          - {label: Tag, name: tag, widget: string}
      - label: Price
        name: price
        widget: number
        required: true
      - label: FAQ
        name: faq
        widget: list
        fields:
          - {label: Name, name: name, widget: string, required: true }
          - {label: 'Accepted Answer', name: acceptedAnswer, widget: string, required: true }

  - label: Pages
    name: pages
    folder: src/content/pages
    create: true
    i18n: true
    slug: "{{slug}}"
    fields:
      - {label: Title, name: title, widget: string, required: true}
      - {label: Body, name: body, widget: markdown, i18n: true}
      - {label: SEO Description, name: description, widget: string, required: false}

